USE [$(CS_DB_NAME_ORDERS_CONFIG)]
GO
-----------------------------------------------------
-- Table name: ShippingMethod
-----------------------------------------------------
DELETE FROM [ShippingMethod]
DELETE FROM [ShippingRates]

INSERT [dbo].[ShippingMethod] ([ShippingMethodId], [LanguageId], [ShippingMethodName], [Description], [ShippingCostCalculator], [ConfiguredMode], [Enabled], [GroupId], [IsDefault], [Created], [LastModified]) VALUES (N'9461be9b-5601-4cae-a921-005276453db1', N'en-US', N'USPS_First_Class', N'USPS First-Class Mail International Parcel', N'commerce.stepwiseshipping', 0, 1, N'0eacb68b-01fa-41b9-97e1-b525571bdaf2', 1, CAST(0x0000A119011324F2 AS DateTime), CAST(0x0000A11901132504 AS DateTime))
INSERT [dbo].[ShippingMethod] ([ShippingMethodId], [LanguageId], [ShippingMethodName], [Description], [ShippingCostCalculator], [ConfiguredMode], [Enabled], [GroupId], [IsDefault], [Created], [LastModified]) VALUES (N'9345c2de-ca7c-4bc4-9378-357012a008bf', N'en-US', N'USPS_Express', N'USPS Express Mail International', N'commerce.stepwiseshipping', 0, 1, N'2a758e28-a97a-4456-b14d-7bf9c8ebe1a0', 1, CAST(0x0000A11901136FB9 AS DateTime), CAST(0x0000A1190113A74E AS DateTime))
INSERT [dbo].[ShippingMethod] ([ShippingMethodId], [LanguageId], [ShippingMethodName], [Description], [ShippingCostCalculator], [ConfiguredMode], [Enabled], [GroupId], [IsDefault], [Created], [LastModified]) VALUES (N'a7f5a823-f497-4ac3-9c06-979ac4e9f4e9', N'en-US', N'USPS_Priority', N'USPS Priority Mail International', N'commerce.stepwiseshipping', 0, 1, N'd6deac00-d66a-4a02-8a47-47a9fc524cf3', 1, CAST(0x0000A119011358EC AS DateTime), CAST(0x0000A119011399AA AS DateTime))
INSERT [dbo].[ShippingMethod] ([ShippingMethodId], [LanguageId], [ShippingMethodName], [Description], [ShippingCostCalculator], [ConfiguredMode], [Enabled], [GroupId], [IsDefault], [Created], [LastModified]) VALUES (N'bae9308a-8fdd-41f6-8250-f218000e5423', N'en-US', N'USPS_GXG', N'USPS Global Express Guaranteed (GXG)', N'commerce.stepwiseshipping', 0, 1, N'3870c424-e14e-4434-a7d5-f48a0b0faaec', 1, CAST(0x0000A11901138649 AS DateTime), CAST(0x0000A1190113B409 AS DateTime))

INSERT [dbo].[ShippingRates] ([ShippingGroupId], [MaxLimit], [Price]) VALUES (N'0eacb68b-01fa-41b9-97e1-b525571bdaf2', -1, 2.0000)
INSERT [dbo].[ShippingRates] ([ShippingGroupId], [MaxLimit], [Price]) VALUES (N'd6deac00-d66a-4a02-8a47-47a9fc524cf3', -1, 5.0000)
INSERT [dbo].[ShippingRates] ([ShippingGroupId], [MaxLimit], [Price]) VALUES (N'2a758e28-a97a-4456-b14d-7bf9c8ebe1a0', -1, 10.0000)
INSERT [dbo].[ShippingRates] ([ShippingGroupId], [MaxLimit], [Price]) VALUES (N'3870c424-e14e-4434-a7d5-f48a0b0faaec', -1, 15.0000)
GO