﻿//-----------------------------------------------------------------------
// <copyright file="WebApiConfig.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.MVCSiteTemplate
{
    using System.Web.Http;

    /// <summary>
    /// Sets up configuration for web api
    /// </summary>
    public static class WebApiConfig
    {
        /// <summary>
        /// Registers with the specified config.
        /// </summary>
        /// <param name="config">The config.</param>
        public static void Register(HttpConfiguration config)
        {
            config.Routes.MapHttpRoute(
                "ActionApiRoute",
                routeTemplate: "api/{controller}/{action}",
                defaults: new { action = "get" }
            );
        }
    }
}
