﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace ="System.Linq" %>
<%@ Import Namespace="CommerceServer.Foundation" %>
<%
    List<CommerceEntity> model = this.Data as List<CommerceEntity>;
    BasketViewModel basket;
    if (model != null && model.Count > 0)
    {
        basket = ViewModelBuilder.CreateBasketViewModel(new Basket(model[0]));
    }
    else
    {
        basket = new BasketViewModel();
    }
%>
<ul class="thumbnails minicart">
    <% foreach (LineItemViewModel lineItem in basket.LineItems)
       { %>
    <li>
        <a href="/pages/product.aspx?pid=<%= lineItem.ProductId %>" class="thumbnail">
            <img src="<%=lineItem.ProductViewModel.ThumbnailImagePaths().First() %>" title="<%=lineItem.ProductId %>" class="img-polaroid" />
            <span class="badge badge-info">x <%=lineItem.Quantity %></span>
        </a>
    </li>
    <%} %>
</ul>