﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@Import Namespace="System.Collections.Generic" %>
<%@Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support" %>
<%@Import Namespace="CommerceServer.Foundation" %>
<%@ Register Src="/_layouts/CommerceServerContrib.Farm/Cart/CartItemsSummary.ascx" TagPrefix="csc" TagName="CartItemsSummary" %>
<%
    List<CommerceEntity> model = this.Model<List<CommerceEntity>>();
    BasketViewModel basket;
    if (model != null && model.Count > 0)
    {
        basket = ViewModelBuilder.CreateBasketViewModel(new Basket(model[0]));
    }
    else
    {
        basket = new BasketViewModel();
    }  
%>
<%
    this.DataBind(); 
%>
<a href="/pages/cart.aspx"><asp:Literal ID="Literal1" runat="server" Text="<%$Resources:CSCSiteTemplate,Cart_LabelCart %>" /> (<span id="miniCartItemCount"><%= basket.TotalLineItemCount %></span><asp:Literal ID="Literal2" runat="server" Text="<%$Resources:CSCSiteTemplate,Cart_LabelItems %>" /> / <span id="miniCartItemSubTotal"><%= basket.CurrencySubtotal.ToCurrency() %></span>)</a>
<div class="well hidden-tablet hidden-phone" id="miniCart">
    <csc:CartItemsSummary runat="server" Data="<%#  this.Model<List<CommerceEntity>>() %>"  />
    <div>
        <div class="pull-left">
            <h4><asp:Literal ID="Literal3" runat="server" Text="<%$Resources:CSCSiteTemplate,Cart_LabelSubtotal %>" /> <span><%= basket.CurrencySubtotal.ToCurrency() %></span></h4>
        </div>
        <div>
            <a class="btn btn-primary" href="/pages/cart.aspx"><asp:Literal ID="Literal4" runat="server" Text="<%$Resources:CSCSiteTemplate,Cart_LabelGoToCart %>" /></a>
        </div>        
    </div>
</div>
