﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="CommerceServer.Foundation" %>
<%
    BasketViewModel model = this.Data as BasketViewModel;
    int firstItemIndex = 0;
    decimal totalPages = 0;
    int currentPage = 0;

    currentPage = Helpers.CalculateCurrentPage(model.LineItemsFirstItemIndex);
    totalPages = Helpers.CalculateTotalPages(model.TotalLineItemCount);
    firstItemIndex = model.LineItemsFirstItemIndex;
    
%>
<% 
    if (totalPages > 0)
    {
%>
<div class="pagination pagination-centered">
    <ul>
        <%
        var url = CommerceServerContrib.Web.UrlBuilder.CurrentUrl;
        var disablePrevious = !(totalPages > 1 && currentPage > 1);
        if (disablePrevious)
        {
            %>
            <li class="disabled"><a href="#"><%= Resource("Page_LabelPrevious") %></a></li>
            <%
        }
        else
        {
            url.QueryList.AddOrSet("start1", ((currentPage - 2) * 10).ToString());
            %>
            <li><a href="<%= url.ToString() %>"><%= Resource("Page_LabelPrevious") %></a></li>
            <%
        }

        for (int i = 0; i < totalPages; i++)
        {
            var active = (currentPage - 1) == i ? "active" : null;
            url.QueryList.AddOrSet("start1", (i * 10).ToString());
            %>
            <li class="<%=active%>"><a href="<%=url.ToString() %>"><%=i + 1 %></a></li>
            <%
        }

        var disableNext = currentPage == totalPages;

        if (disableNext)
        {
            %>
            <li class="disabled"><a href="#"><%= Resource("Page_LabelNext") %></a></li>
            <%
        }
        else
        {
            url.QueryList.AddOrSet("start1", (currentPage * 10).ToString());
            %>
            <li><a href="<%=url.ToString() %>"><%= Resource("Page_LabelNext") %></a></li>
            <%
        }
            %>
    </ul>
</div>
<%
    }
%>
