﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="CommerceServer.Foundation" %>
<% 
    var creditCardPayment = this.Data as PaymentMethodViewModel;
    if (this.ViewBag.ContainsKey("paymentMethods"))
    {
        var paymentMethods = this.ViewBag["paymentMethods"] as List<CommerceEntity>;
        var paymentMethod = paymentMethods[0];
 %>
<div class="creditCardContainer">
    <img src="/_layouts/CommerceServerContrib.Farm/Images/visa.png" title="Visa" alt="Visa" />
    <img src="/_layouts/CommerceServerContrib.Farm/Images/master.png" title="Master Card" alt="Master Card" />
    <img src="/_layouts/CommerceServerContrib.Farm/Images/amex.png" title="AMEX" alt="AMEX" />
    <img src="/_layouts/CommerceServerContrib.Farm/Images/discover.png" title="Discover" alt="Discover" />
</div>

<input type="hidden" name="paymentMethod" id ="paymentMethod" value="<% =paymentMethod.Id %>" />
<div class="creditCardDetails">
    <div class="control-group">
        <label class="control-label" for="creditCardFirstName">
            <%= Resource("Checkout_LabelFirstName") %>
        </label>
        <div class="controls">
            <input type="text" id="creditCardFirstName" name="creditCardFirstName" value="<%= creditCardPayment.FirstName %>"  />
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="creditCardLastName">
            <%= Resource("Checkout_LabelLastName") %>
        </label>
        <div class="controls">
            <input type="text" id="creditCardLastName" name="creditCardLastName" value="<%= creditCardPayment.LastName %>"  />
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="creditCardNumber">
            <%= Resource("Checkout_LabelCCN") %>
        </label>
        <div class="controls">
            <input type="text" id="creditCardNumber" name="creditCardNumber" value="<%= creditCardPayment.CreditCardNumber %>" placeholder="<%= Resource("Checkout_CreditCardHint") %>" />
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="creditCardMonth">
            <%= Resource("Checkout_LabelMonth") %>
        </label>
        <div class="controls">
            <input type="text" id="creditCardMonth" name="creditCardMonth" value="<%= creditCardPayment.Month %>" placeholder="<%= Resource("Checkout_MonthHint") %>" />
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="creditCardYear">
            <%= Resource("Checkout_LabelYear") %>
        </label>
        <div class="controls">
            <input type="text" id="creditCardYear" name="creditCardYear" value="<%= creditCardPayment.Year %>" placeholder="<%= Resource("Checkout_YearHint") %>"  />
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="creditCardVerification">
            <%= Resource("Checkout_LabelCCV") %>
        </label>
        <div class="controls">
            <input type="text" id="creditCardVerification" name="creditCardVerification" value="<%= creditCardPayment.CreditCardVerification %>" placeholder="<%= Resource("Checkout_CVVHint") %>" />
        </div>
    </div>
</div>
<%      
    }
 %>
