﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="CommerceServer.Foundation" %>
<%
    AddressOrders address = this.Data as AddressOrders;
%>
<div id="@addressContainerID">
    <div class="control-group">
        <label class="control-label" for="<%= this.ControlIdPrefix %>FirstName"><%= Resource("Address_LabelFirstName") %></label>
        <div class="controls">
            <input type="text" id="<%= this.ControlIdPrefix %>FirstName" name="<%= this.ControlIdPrefix %>FirstName" value="<%= address.FirstName %>" />
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="<%= this.ControlIdPrefix %>LastName"><%= Resource("Address_LabelLastName") %></label>
        <div class="controls">
            <input type="text" id="<%= this.ControlIdPrefix %>_lastName" name="<%= this.ControlIdPrefix %>LastName" value="<%= address.LastName %>" />
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="<%= this.ControlIdPrefix %>Line1"><%= Resource("Address_LabelLine1") %></label>
        <div class="controls">
            <input type="text" id="<%= this.ControlIdPrefix %>Line1" name="<%= this.ControlIdPrefix %>Line1" value="<%= address.Line1 %>" />
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="<%= this.ControlIdPrefix %>Line2"><%= Resource("Address_LabelLine2") %></label>
        <div class="controls">
            <input type="text" id="<%= this.ControlIdPrefix %>Line2" name="<%= this.ControlIdPrefix %>Line2"  value="<%= address.Line2 %>" />
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="<%= this.ControlIdPrefix %>City"><%= Resource("Address_LabelCity") %></label>
        <div class="controls">
            <input type="text" id="<%= this.ControlIdPrefix %>City" name="<%= this.ControlIdPrefix %>City" value="<%= address.City %>"  />
        </div>
    </div>
 
    <div class="control-group">
        <label class="control-label" for="<%= this.ControlIdPrefix %>CountryRegionName"><%= Resource("Address_LabelCountry") %></label>
        <div class="country">
            <input type="text" id="<%= this.ControlIdPrefix %>CountryRegionName" name="<%= this.ControlIdPrefix %>CountryRegionName" value="<%= address.CountryRegionName %>" placeholder="<%= Resource("Address_CountryHint") %>"  />
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="<%= this.ControlIdPrefix %>StateProvinceName"><%= Resource("Address_LabelState") %></label>
        <div class="controls">
            <input type="text" id="<%= this.ControlIdPrefix %>StateProvinceName" name="<%= this.ControlIdPrefix %>StateProvinceName" value="<%= address.StateProvinceName %>" placeholder="<%= Resource("Address_StateHint") %>" />
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="<%= this.ControlIdPrefix %>Telephone"><%= Resource("Address_LabelPhone") %></label>
        <div class="controls">
            <input type="text" id="<%= this.ControlIdPrefix %>Telephone" name="<%= this.ControlIdPrefix %>Telephone" value ="<%= address.Telephone %>" placeholder="<%= Resource("Address_PhoneHint") %>"  />
        </div>
    </div>
</div>
