﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="CommerceServer.Foundation" %>
<%@ Register Src="/_layouts/CommerceServerContrib.Farm/Category/ProductSummary.ascx" TagPrefix="cs" TagName="ProductSummary" %>
<script runat="server">
    Category category;

    public void LoadCommerceData()
    {
        List<CommerceEntity> categoryModel = this.Model<List<CommerceEntity>>();
        if (categoryModel != null && categoryModel.Count > 0)
        {
            category = new Category(categoryModel[0]);
            if (category != null && category.ChildProducts != null && category.ChildProducts.Count > 0)
            {
                ProductsList.DataBind();
            }
        }
    } 
</script>
<%
    LoadCommerceData();  
%>
<ul class="thumbnails" id="productListing">
    <asp:Repeater runat="server" ID="ProductsList" DataSource="<%# category.ChildProducts %>">
        <ItemTemplate>
            <li class="span3">
                <cs:ProductSummary
                    Data="<%# Container.DataItem %>"
                    runat="server" />
            </li>
        </ItemTemplate>
    </asp:Repeater>
</ul>
