﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="CommerceServer.Foundation" %>
<%
    string shipingMethodId = this.Data as string;
       if(this.ViewBag.ContainsKey("shippingMethods"))
       {
           var shippingMethods = this.ViewBag["shippingMethods"] as List<CommerceEntity>;
           if(shippingMethods !=null && shippingMethods.Count >0)
           {
            
%>
<div class="row shipping">
    <%
    foreach (var ce in shippingMethods)
    {
        var shippingMethod = new ShippingMethod(ce);
        var check = (!string.IsNullOrEmpty(shipingMethodId) && shipingMethodId.Equals(shippingMethod.Id)) ? true : false;
    %>
    <div>
        <label for="shippingMethod_<%= shippingMethod.Id %>" class="radio">
        <input type="radio" name="shippingMethod" id="shippingMethod_<%= shippingMethod.Id %>" value="<%= shippingMethod.Id %>" <%  if(check) { %> checked="checked" <%} %> /><%=shippingMethod.Description %></label>
    </div>
    <%
        }
    %>
</div>

<%
    }
}
 %>

