﻿//-----------------------------------------------------------------------
// <copyright file="LineItem.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Line Item partial class.</summary>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.SharePoint.Support.Entities
{
    /// <summary>
    /// A partial class for LineItems
    /// </summary>
    public partial class LineItem
    {
        /// <summary>
        /// Gets the shipping method from the properties collection.
        /// </summary>
        /// <value>
        /// The shipping method.
        /// </value>
        public string ShippingMethod
        {
            get
            {
                return this.Properties[PropertyName.ShippingMethodId] as string;
            }
        }
    }
}
