﻿//-----------------------------------------------------------------------
// <copyright file="CheckoutFlowIdMismatchFault.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Defines the CheckoutFlowIdMismatchFault class</summary>
//-----------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Exceptions
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using CommerceServer.Foundation;

    /// <summary>
    /// Fault that represents a mismatch between the request / user checkout flow id (CFId) and the CFId of the basket being accessed.
    /// </summary>
    public class CheckoutFlowIdMismatchFault : GeneralOperationFault
    {
    }
}
