﻿//---------------------------------------------------------------------
// <copyright file="IAuthorizationEvaluator.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.CrossTier.Interfaces
{
    /// <summary>
    /// Interface representing the IAuthorizationEvalua
    /// </summary>
    public interface IAuthorizationEvaluator
    {
        /// <summary>
        /// This method will validate if a user has the requested authorization role name and return true/false based on that
        /// </summary>
        /// <param name="authorizationRoleName">The authorization role name to validate</param>
        /// <returns>True if the user has it, false if it doesn't</returns>
        bool EvaluateAuthorization(string authorizationRoleName);
    }
}
