﻿//---------------------------------------------------------------------
// <copyright file="IAuthorizationRoleNamesProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Interfaces
{
    using System.Collections.Generic;

    /// <summary>
    /// Interface whose purpose is to return a list of possible Authorization Names
    /// </summary>
    public interface IAuthorizationRoleNamesProvider
    {
        /// <summary>
        /// This method is used to return the list of possible authorization names
        /// </summary>
        /// <returns>The possible authorization names</returns>
        List<string> GetAuthorizationRoleNames();
    }
}
