﻿//-------------------------------------------------------------------------------------------------
// <copyright file="GlobalSuppressions.cs" company="commerceserver.net">
// Copyright (c) commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Base commerce job activation definition</summary>
//-------------------------------------------------------------------------------------------------
// This file is used by Code Analysis to maintain SuppressMessage 
// attributes that are applied to this project.
// Project-level suppressions either have no target or are given 
// a specific target and scoped to a namespace, type, member, etc.
//
// To add a suppression to this file, right-click the message in the 
// Error List, point to "Suppress Message(s)", and click 
// "In Project Suppression File".
// You do not need to add suppressions to this file manually.

[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Portability", "CA1903:UseOnlyApiFromTargetedFramework", MessageId = "System.Web.Routing, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "member", Target = "CommerceServerContrib.Web.AuthenticationProvider.#TerminatedSession()")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1054:UriParametersShouldNotBeStrings", MessageId = "0#", Scope = "member", Target = "CommerceServerContrib.Web.SharePoint.SharePointHelper.#IsInternalUrl(System.String)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Wss", Scope = "member", Target = "CommerceServerContrib.Web.SharePoint.SharePointHelper.#IsWssActivated(Microsoft.SharePoint.SPSite)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Wss", Scope = "member", Target = "CommerceServerContrib.Web.SharePoint.SharePointHelper.#IsWssInstalled")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "member", Target = "CommerceServerContrib.Web.SharePoint.AuthenticationProvider.#TerminatedSession()")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Scope = "member", Target = "CommerceServerContrib.Web.SharePoint.ClaimsAuthenticationProvider.#TerminateSession()")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Security", "CA5122:PInvokesShouldNotBeSafeCriticalFxCopRule", Scope = "member", Target = "CommerceServerContrib.Web.SharePoint.UlsTraceProvider+NativeMethods.#RegisterTraceGuids(CommerceServerContrib.Web.SharePoint.UlsTraceProvider+NativeMethods+EtwProc,System.Void*,System.Guid&,System.UInt32,System.IntPtr,System.String,System.String,System.UInt64&)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Security", "CA5122:PInvokesShouldNotBeSafeCriticalFxCopRule", Scope = "member", Target = "CommerceServerContrib.Web.SharePoint.UlsTraceProvider+NativeMethods.#GetTraceLoggerHandle(System.IntPtr)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Security", "CA5122:PInvokesShouldNotBeSafeCriticalFxCopRule", Scope = "member", Target = "CommerceServerContrib.Web.SharePoint.UlsTraceProvider+NativeMethods.#UnregisterTraceGuids(System.UInt64)")]
[assembly: System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Security", "CA5122:PInvokesShouldNotBeSafeCriticalFxCopRule", Scope = "member", Target = "CommerceServerContrib.Web.SharePoint.UlsTraceProvider+NativeMethods.#TraceEvent(System.UInt64,CommerceServerContrib.Web.SharePoint.UlsTraceProvider+NativeMethods+ULSTrace&)")]
