﻿//-----------------------------------------------------------------------
// <copyright file="CssRemover.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>CssRemover class</summary>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.Web.SharePoint.SharePointMocks
{
    using System.Web.UI;

    /// <summary>
    /// SharePointCssRemover that supresses the load of Core.css in public display mode 
    /// </summary>
    public class CssRemover : Control
    {
        /// <summary>
        /// Gets or sets the version.
        /// </summary>
        /// <value>
        /// The version.
        /// </value>
        public string Version
        {
            get;
            set;
        }
    }
}