﻿//---------------------------------------------------------------------
// <copyright file="AuthorizationRoleNamesProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.Web.Authorization
{
    using System.Collections.Generic;
    using CommerceServerContrib.CrossTier.Interfaces;

    /// <summary>
    /// Implementation of an AuthorizationRoleNamesProvider
    /// </summary>
    public class AuthorizationRoleNamesProvider : IAuthorizationRoleNamesProvider
    {
        /// <summary>
        /// This method is used to return the list of possible authorization names
        /// </summary>
        /// <returns>The possible authorization names</returns>
        public List<string> GetAuthorizationRoleNames()
        {
            return new List<string>() { "None" };
        }
    }
}
