﻿//---------------------------------------------------------------------
// <copyright file="CatalogController.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.Web.Controllers
{
    using CommerceServerContrib.CrossTier.Interfaces.Controllers;
    using CommerceServerContrib.Web.Helpers;
    using CLE = CommerceServerContrib.CrossTier.Entities;

    /// <summary>
    /// Used to control communication to the catalog sub system
    /// </summary>
    public class CatalogController : BaseController<IRequestTemplateController>, ICatalogController
    {
        /// <summary>
        /// Gets the GroupId
        /// </summary>
        public override string GroupId
        {
            get { return "Catalog"; }
        }
    }
}
