﻿//---------------------------------------------------------------------
// <copyright file="OrdersController.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>OrdersController class</summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.Web.Controllers
{
    using CommerceServerContrib.CrossTier.Interfaces.Controllers;
    using CommerceServerContrib.CrossTier.Interfaces;
    using System;

    /// <summary>
    /// Used to control communication to the order sub system
    /// </summary>
    public class OrdersController : BaseController<IRequestTemplateController>, IOrdersController
    {
        /// <summary>
        /// Gets the GroupId
        /// </summary>
        public override string GroupId
        {
            get { return "Orders"; }
        }
    }
}