﻿//-----------------------------------------------------------------------
// <copyright file="AddressControl.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.WebFormsSiteTemplate.ControlBase
{
    using CommerceServerContrib.WebFormsSiteTemplate.Models.Generated;

    /// <summary>
    /// Base class for controls that use the address model
    /// </summary>
    public class AddressControl : BaseControl<AddressOrders>
    {
        /// <summary>
        /// Gets or sets the control ID prefix.
        /// </summary>
        /// <value>
        /// The control ID prefix.
        /// </value>
        public string ControlIdPrefix { get; set; }
    }
}