﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.WebFormsSiteTemplate.ControlBase.LineItemControl" %>

<tr class="visible-phone">
    <td colspan="4" class="cartPhoneProductName"><span class="pname"><%=Model.DisplayName%></span>&nbsp;<span class="label label-success"><%= Resource("Cart_LabelDiscountInfo") %></span></td>
</tr>
<tr>
    <td class="hidden-phone">
        <div class="pull-left">
            <a href="/product/<%=Model.ProductId%>" class="thumbnail">
                <img src="<%=Model.ProductViewModel.ThumbnailImagePaths().First()%>" /></a>
        </div>
        <div>
            <dl>
                <dt><span class="pname"><%=Model.DisplayName%></span></dt>
                <dt><span class="muted"><%= Resource("Cart_LabelVariantConfigSample") %></span></dt>
                <dt><span class="label label-success"><%= Resource("Cart_LabelDiscountInfoSample") %></span></dt>
            </dl>
        </div>
    </td>
    <td class="dataCol"><span><%=Model.ListPrice.ToCurrency()%></span>
    </td>
    <td class="dataCol">
        <input type="number" class="input-mini quantity" min="1" max="100" required="required" value="<%=Model.Quantity %>" />
    </td>
    <td class="dataCol"><span><%=Model.Total.ToCurrency()%></span></td>
    <td>
        <ul class="unstyled cartActions">
            <li><a href="/" class="removeLineItem" title="<%= Resource("Cart_LabelRemoveFromCart") %>" data-ajax-lineitemid="<%=Model.Id%>"><i class="icon-remove"></i></a></li>
            <li><a href="/" class="refreshLineItem" title="<%= Resource("Cart_LabelRefreshCart") %>" data-ajax-lineitemid="<%=Model.Id%>"><i class="icon-refresh"></i></a></li>
        </ul>
    </td>
</tr>

