﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.WebFormsSiteTemplate.ControlBase.BasketControl" %>
<%@ Register Src="~/Controls/Cart/LineItem.ascx" TagPrefix="cs" TagName="LineItem" %>

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        LineItemList.DataBind();
    }
</script>

<table class="table table-hover">
    <caption></caption>
    <thead>
        <tr>
            <th class="hidden-phone"></th>
            <th class="dataCol"><%= Resource("Cart_LabelPrice") %></th>
            <th class="dataCol"><%= Resource("Cart_LabelQuantity") %></th>
            <th class="dataCol"><%= Resource("Cart_LabelTotal") %></th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        <asp:Repeater runat="server" ID="LineItemList" DataSource="<%# Model.LineItems %>">
            <ItemTemplate>
                <cs:LineItem runat="server" Model="<%# Container.DataItem %>" />
            </ItemTemplate>
        </asp:Repeater>
    </tbody>
</table>
