﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CreditCard.ascx.cs" Inherits="CommerceServerContrib.WebFormsSiteTemplate.ControlBase.CreditCard" %>
<%@Import Namespace="System.Linq" %>
<%@Import Namespace="CommerceServer.Foundation" %>
<%
    var paymentMethods = ViewBag.PaymentMethods as List<CommerceEntity>;
    var paymentMethod = paymentMethods.SingleOrDefault();
%>
<div class="creditCardContainer">
    <img src="/Images/PaymentMethods/visa.png" title="Visa" alt="Visa" />
    <img src="/Images/PaymentMethods/master.png" title="Master Card" alt="Master Card" />
    <img src="/Images/PaymentMethods/amex.png" title="AMEX" alt="AMEX" />
    <img src="/Images/PaymentMethods/discover.png" title="Discover" alt="Discover" />
</div>

<input type="hidden" name="paymentMethod" id ="paymentMethod" value="<% =paymentMethod.Id %>" />
<div class="creditCardDetails">
    <div class="control-group">
        <label class="control-label" for="cc.firstName">
            <%= Resource("Checkout_LabelFirstName") %>
        </label>
        <div class="controls">
            <input type="text" id="cc.firstName" name="cc.firstName" value="<%# Model.FirstName %>"  />
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="cc.lastName">
            <%= Resource("Checkout_LabelLastName") %>
        </label>
        <div class="controls">
            <input type="text" id="cc.lastName" name="cc.lastName" value="<%# Model.LastName %>"  />
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="cc.creditCardNumber">
            <%= Resource("Checkout_LabelCCN") %>
        </label>
        <div class="controls">
            <input type="text" id="cc.creditCardNumber" name="cc.creditCardNumber" value="<%# Model.CreditCardNumber %>" placeholder="<%= Resource("Checkout_CreditCardHint") %>" />
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="cc.month">
            <%= Resource("Checkout_LabelMonth") %>
        </label>
        <div class="controls">
            <input type="text" id="cc.month" name="cc.month" value="<%# Model.Month %>" placeholder="<%= Resource("Checkout_MonthHint") %>" />
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="cc.year">
            <%= Resource("Checkout_LabelYear") %>
        </label>
        <div class="controls">
            <input type="text" id="cc.year" name="cc.year" value="<%# Model.Year %>" placeholder="<%= Resource("Checkout_YearHint") %>"  />
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="cc.creditCardVerification">
            <%= Resource("Checkout_LabelCCV") %>
        </label>
        <div class="controls">
            <input type="text" id="cc.creditCardVerification" name="cc.creditCardVerification" value="<%# Model.CreditCardVerification %>" placeholder="<%= Resource("Checkout_CVVHint") %>" />
        </div>
    </div>
</div>
