﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.WebFormsSiteTemplate.ControlBase.CategoryControl" %>
<%@ Register Src="~/Controls/Category/ProductSummary.ascx" TagPrefix="cs" TagName="ProductSummary" %>

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Model != null && Model.ChildProducts != null && Model.ChildProducts.Count > 0)
        {
            CategoriesList.DataBind();
        }
    }
</script>

<%
    if (Model != null && Model.ChildProducts != null && Model.ChildProducts.Count > 0)
    {
%>
<ul class="thumbnails" id="productListing">
    <asp:Repeater runat="server" ID="CategoriesList" DataSource="<%# Model.ChildProducts %>">
        <ItemTemplate>
            <li class="span3">
                <cs:ProductSummary
                    Model="<%# Container.DataItem %>"
                    runat="server" />
            </li>
        </ItemTemplate>
    </asp:Repeater>
</ul>
<%
    }
%>
