﻿//-----------------------------------------------------------------------
// <copyright file="Global.asax.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.WebFormsSiteTemplate
{
    using System;
    using System.Web;
    using System.Web.Optimization;
    using System.Web.Routing;

    /// <summary>
    /// The main entry point into the application
    /// </summary>
    public class Global : HttpApplication
    {
        /// <summary>
        /// Called when the application starts
        /// </summary>
        /// <param name="sender">The caller of the event</param>
        /// <param name="e">Any args that go along with the event</param>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode", Justification = "Called by external class.")]
        protected void Application_Start(object sender, EventArgs e)
        {
            // Code that runs on application startup
            BundleConfig.RegisterBundles(BundleTable.Bundles);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
        }
    }
}
