﻿//-----------------------------------------------------------------------
// <copyright file="IBaseControl.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.WebFormsSiteTemplate.Interfaces
{
    /// <summary>
    /// The interface for all pages in the project
    /// </summary>
    /// <typeparam name="T">The type returned by the model</typeparam>
    public interface IBaseControl<T>
    {
        /// <summary>
        /// Gets or sets the model for the view
        /// </summary>
        T Model
        {
            get;
            set;
        }
    }
}
