﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Product.aspx.cs" Inherits="CommerceServerContrib.WebFormsSiteTemplate.Pages.Product" %>

<%@ Register Src="~/Controls/Product/ProductImages.ascx" TagPrefix="cs" TagName="ProductImages" %>
<%@ Register Src="~/Controls/Product/ProductDetails.ascx" TagPrefix="cs" TagName="ProductDetails" %>
<%@ Register Src="~/Controls/Product/AddToCart.ascx" TagPrefix="cs" TagName="AddToCart" %>
<%@ Register Src="~/Controls/Navigation/Breadcrumb.ascx" TagPrefix="cs" TagName="Breadcrumb" %>

<asp:Content runat="server" ID="Content1" ContentPlaceHolderID="TitlePlaceholder">
    <%# Model.DisplayName %>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="MainContent">

<div class="row">
    <div class="span5" id="productImages">
        <cs:ProductImages runat="server" Model='<%# Model %>'/>
    </div>
    <div class="span4">
        <cs:ProductDetails runat="server" Model='<%# Model %>'/>
    </div>
    <div class="span3">
        <cs:AddToCart runat="server" Model='<%# Model %>'/>
    </div>
</div>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="ScriptsPlaceholder">
    <script type="text/javascript">var addthis_config = { "data_track_addressbar": false };</script>
    <script type="text/javascript" src="http://s7.addthis.com/js/300/addthis_widget.js#pubid=ra-507f4d31080a8fef"></script>
    <script type="text/javascript">
        manageProductImages();
        registerAddToCart();
        <% if (Model.Variants != null && Model.Variants.Any()) {
            foreach (var variant in Model.Variants) { %>
                    AddVariantCombination('<%=variant.Size%>', '<%=variant.ProductColor%>', '<%=variant.Id%>');0
            <% } %>
            VariantSelectionChanged();
        <% } %>
    </script>
</asp:Content>
