﻿//---------------------------------------------------------------------
// <copyright file="LineItem.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Partial class to help working with LineItems.</summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.MVCSiteTemplate.Models.Generated
{
    /// <summary>
    /// Partial class to help working with LineItems.
    /// </summary>
    public partial class LineItem
    {
        /// <summary>
        /// Gets the shipping method from the properties collection.
        /// </summary>
        /// <value>
        /// The shipping method.
        /// </value>
        public string ShippingMethod
        {
            get
            {
                return this.Properties[PropertyName.ShippingMethodId] as string;
            }
        }
    }
}