﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<div id="registerContainer">
    <div class="span4">
        <p class="text-success hide" id="registerFailure"><%= Resource("Register_FailureMessage") %></p>
    </div>
    <div class="span4">
        <div class="control-group">
            <label class="control-label" for="firstName"><%= Resource("Register_LabelFirstName") %></label>
            <div class="controls">
                <input type="text" id="firstName" name="firstName" />
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="lastName"><%= Resource("Register_LabelLastName") %></label>
            <div class="controls">
                <input type="text" id="lastName" name="lastName" />
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="email"><%= Resource("Register_LabelEmail") %></label>
            <div class="controls">
                <input type="text" id="email" name="email" />
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="confirmEmail"><%= Resource("Register_LabelConfirmEmail") %></label>
            <div class="controls">
                <input type="text" id="confirmEmail" name="confirmEmail" />
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="password"><%= Resource("Register_LabelPassword") %></label>
            <div class="controls">
                <input type="password" id="password" name="password" />
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="confirmPassword"><%= Resource("Register_LabelConfirmPassword") %></label>
            <div class="controls">
                <input type="password" id="confirmPassword" name="confirmPassword" />
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="securityQuestion"><%= Resource("Register_LabelSecurityQuestion") %></label>
            <div class="controls">
                <input type="text" id="securityQuestion" name="securityQuestion" />
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="securityAnswer"><%= Resource("Register_LabelSecurityAnswer") %></label>
            <div class="controls">
                <input type="text" id="securityAnswer" name="securityAnswer" />
            </div>
        </div>

        <div class="span4">
            <div class="row form-actions">
                <div>
                    <button type="button" name="Register" id="Register" class="btn btn-primary"><%= Resource("Register_LabelRegister") %></button>
                    <button type="button" name="Cancel" id="Cancel" class="btn"><%= Resource("Register_LabelCancel") %></button>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    RegisterCreateAccount();
</script>
