﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<div id="SignInContainer">
    <div class="span4">
        <p class="text-success hide" id="signInFailure"><%= Resource("SignIn_FailureMessage") %></p>
    </div>
    <div class="span4">
        <div class="control-group">
            <label class="control-label" for="userName"><%= Resource("SignIn_LabelUserName") %></label>
            <div class="controls">
                <input type="text" id="userName" name="userName" />
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="password"><%= Resource("SignIn_LabelPassword") %></label>
            <div class="controls">
                <input type="password" id="password" name="password" />
            </div>
        </div>

        <div class="span4">
            <div class="row form-actions">
                <div>
                    <button type="button" name="SignIn" id="SignIn" class="btn btn-primary"><%= Resource("SignIn_LabelSignIn") %></button>
                    <button type="button" name="Cancel" id="Cancel" class="btn"><%= Resource("SignIn_LabelCancel") %></button>
                </div>
            </div>
        </div>
    </div>
    <div class="span4">
        <a href="/pages/register.aspx"><%= Resource("SignIn_RegisterText") %></a>
    </div>
</div>
<script type="text/javascript">
    RegisterSignIn();
</script>
