﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="CommerceServer.Foundation" %>
<%
        BasketViewModel basket;
        List<CommerceEntity> commerceEntities = this.Model<List<CommerceEntity>>();
        if (commerceEntities != null && commerceEntities.Count > 0)
        {
            basket = ViewModelBuilder.CreateBasketViewModel(new Basket(commerceEntities[0]));
        }
        else
        {
            basket = new BasketViewModel();
        }    
%>
 <section class="contact">
        <header>
            <h3><%= Resource("Submitted_LabelOrderConfim") %></h3>
        </header>
        <p>
            <%= Resource("Submitted_LabelOrderConfimNumber") %> <strong><% = basket.OrderNumber %></strong>
        </p>
        <dl class="dl-horizontal">
            <dt><%= Resource("Submitted_LabelShipping") %></dt>
            <dd><%=basket.CurrencySubtotal.ToCurrency() %></dd>
            <dt><%= Resource("Submitted_LabelShipping") %></dt>
            <dd><%=basket.CurrencyShippingTotal.ToCurrency() %></dd>
            <dt><%= Resource("Submitted_LabelTax") %></dt>
            <dd><%=basket.CurrencyTaxTotal.ToCurrency() %></dd>
            <dt><%= Resource("Submitted_LabelTotal") %></dt>
            <dd><%=basket.CurrencyTotal.ToCurrency() %></dd>
        </dl>
        <p>
            <%= Resource("Submitted_LabelCall") %>
        </p>
    </section>
