﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="CommerceServer.Foundation" %>
<%
    List<CommerceEntity> model = this.Model<List<CommerceEntity>>();
    Product product;
    if (model != null && model.Count > 0)
    {
        product = new Product(model[0]);
    }
    else
    {
        product = new Product();
    }   
 %>

    <div id="myCarousel" class="carousel slide">
        <!-- Carousel items -->
        <div class="carousel-inner">
            <% 
                string cssClass = "active item";
                if (product.MediumSizeImagePaths() != null)
                {
                    foreach (var imageUrl in product.MediumSizeImagePaths())
                    {
            %>
            <div class="<%=cssClass %>">
                <img src="<%=imageUrl %>" alt="" />
            </div>
            <%
                    cssClass = "item";
                }
            }
            %>
        </div>
        <!-- Carousel nav -->
        <a class="carousel-control left" href="#myCarousel" data-slide="prev">&lsaquo;</a>
        <a class="carousel-control right" href="#myCarousel" data-slide="next">&rsaquo;</a>
    </div>
    <ul class="thumbnails">
        <% 
            if (product.ThumbnailImagePaths() != null)
            {
                foreach (var imageUrl in product.ThumbnailImagePaths())
                {
        %>
        <li>
            <a href="/" class="thumbnail">
                <img src="<%=imageUrl %>" alt="">
            </a>
        </li>
        <%
            }
        }
        %>
    </ul>
