﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.Web.BaseControl" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.ViewModels" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support" %>
<%@ Import Namespace="CommerceServerContrib.SharePoint.Support.Entities" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="CommerceServer.Foundation" %>
<%
    List<CommerceEntity> model = this.Model<List<CommerceEntity>>();
    Category category;
    if (model != null && model.Count > 0)
    {
        category = new Category(model[0]);
    }
    else
    {
        category = new Category();
    }   
 %>

<div id="myCarousel" class="carousel slide">
            <!-- Carousel items -->
            <div class="carousel-inner">
                <% 
                    if (category != null && category.ChildProducts != null && category.ChildProducts.Count > 0)
                    {
                        var firstProduct = category.ChildProducts[0];
                        string cssClass = "item active";
                        if (firstProduct.LargeSizeImagePaths() != null)
                        {
                            foreach (var imageUrl in firstProduct.LargeSizeImagePaths())
                            {
                %>
                <div class="<%=cssClass %>">
                    <a href="/Pages/Category.aspx?category=<%=category.Id %>">

                        <img src="<%=imageUrl %>" alt="<%=category.Description %>" class="img-rounded" /></a>
                </div>
                <% 
                                cssClass = "item";
                            }
                        }
                    }
                %>
            </div>
            <!-- Carousel nav -->
            <a class="carousel-control left" href="#myCarousel" data-slide="prev">&lsaquo;</a>
            <a class="carousel-control right" href="#myCarousel" data-slide="next">&rsaquo;</a>
        </div>
