﻿//-----------------------------------------------------------------------
// <copyright file="IImageEntity.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>Interface for entities dealing with images.</summary>
//-----------------------------------------------------------------------
namespace CommerceServerContrib.SharePoint.Support.ViewModels
{
    /// <summary>
    /// Interface for entities dealing with images. 
    /// </summary>
    public interface IImageEntity
    {
        /// <summary>
        /// Gets or sets the image file name.
        /// </summary>
        /// <value>
        /// The image file name.
        /// </value>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", MessageId = "Filename", Justification = "By design, please leave in")]
        string ImageFilename { get; set; }
    }
}
