﻿//---------------------------------------------------------------------
// <copyright file="SiteSettingsProperties.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary>SiteSettingsProperties class</summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Entities
{
    using System.Diagnostics;

    /// <summary>
    /// SiteSettingsProperties class
    /// </summary>
    [DebuggerNonUserCode]
    public class SiteSettingsProperties
    {
        /// <summary>
        /// Gets or sets the key.
        /// </summary>
        /// <value>
        /// The key of the property.
        /// </value>
        public string Key { get; set; }

        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>
        /// The value of the property.
        /// </value>
        public object Value { get; set; }
    }
}