﻿//---------------------------------------------------------------------
// <copyright file="DefaultCacheKeyProvider.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------

namespace CommerceServerContrib.CrossTier.Providers
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using CommerceServerContrib.CrossTier.Interfaces;

    /// <summary>
    /// Default Commerce Server Contrib cache key provider.
    /// </summary>
    public class DefaultCacheKeyProvider : ICacheKeyProvider
    {
        /// <summary>
        /// Returns a cache key base on the current context.  
        /// </summary>
        /// <returns>
        /// The cache key is returned.  Always returns an empty string.
        /// </returns>
        public string GetCacheKey()
        {
            return String.Empty;
        }
    }
}
