﻿//---------------------------------------------------------------------
// <copyright file="EditModePanel.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.Web.SharePoint.SharePointMocks
{
    /// <summary>
    /// A mock for the SharePoint EditModePanel control
    /// </summary>
    public class EditModePanel : System.Web.UI.Control
    {
        /// <summary>
        /// Gets or sets the page display mode.
        /// </summary>
        /// <value>
        /// The page display mode.
        /// </value>
        public string PageDisplayMode
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the suppress tag.
        /// </summary>
        /// <value>
        /// The suppress tag.
        /// </value>
        public string SuppressTag
        {
            get;
            set;
        }
    }
}
