﻿//---------------------------------------------------------------------
// <copyright file="FeatureMenuTemplate.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.Web.SharePoint.SharePointMocks
{
    /// <summary>
    /// A mock for the SharePoint FeatureMenuTemplate control
    /// </summary>
    public class FeatureMenuTemplate : System.Web.UI.Control
    {
        /// <summary>
        /// Gets or sets the feature scope.
        /// </summary>
        /// <value>
        /// The feature scope.
        /// </value>
        public string FeatureScope
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the location.
        /// </summary>
        /// <value>
        /// The location.
        /// </value>
        public string Location
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the group id.
        /// </summary>
        /// <value>
        /// The group id.
        /// </value>
        public string GroupId
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the use short id.
        /// </summary>
        /// <value>
        /// The use short id.
        /// </value>
        public string UseShortId
        {
            get;
            set;
        }
    }
}
