﻿//---------------------------------------------------------------------
// <copyright file="SiteActions.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
// <summary></summary>
//---------------------------------------------------------------------
namespace CommerceServerContrib.Web.SharePoint.SharePointMocks
{
    /// <summary>
    /// A mock for the SiteActions SharePoint control
    /// </summary>
    public class SiteActions : System.Web.UI.Control
    {
        /// <summary>
        /// Gets or sets the access key.
        /// </summary>
        /// <value>
        /// The access key.
        /// </value>
        public string AccessKey
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the prefix HTML.
        /// </summary>
        /// <value>
        /// The prefix HTML.
        /// </value>
        public string PrefixHtml
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the suffix HTML.
        /// </summary>
        /// <value>
        /// The suffix HTML.
        /// </value>
        public string SuffixHtml
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the menu not visible HTML.
        /// </summary>
        /// <value>
        /// The menu not visible HTML.
        /// </value>
        public string MenuNotVisibleHtml
        {
            get;
            set;
        }
    }
}
