﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MVCCheckoutModuleTest.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Modify this template to jump-start your ASP.NET MVC application.";
            GetCookieInfo();
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

        private void GetCookieInfo()
        {
            var cookie = Request.Cookies["__CLCheckoutFlowId"];
            if (cookie != null)
            {
                ViewBag.CookieValue = cookie.Value;
            }
            else
            {
                ViewBag.CookieValue = "No Cookie Set.";
            }

        }
    }
}
