﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.WebFormsSiteTemplate.ControlBase.CartControl" %>
<%@ Register Src="~/Controls/Cart/LineItemList.ascx" TagPrefix="cs" TagName="LineItemList" %>
<%@ Register Src="~/Controls/Cart/Coupons.ascx" TagPrefix="cs" TagName="Coupons" %>
<%@ Register Src="~/Controls/Checkout/OrderSummary.ascx" TagPrefix="cs" TagName="OrderSummary" %>
<%@ Register Src="~/Controls/Shared/Pagination.ascx" TagPrefix="cs" TagName="Pagination" %>

<div class="span8 cart">
    <cs:Pagination runat="server"/>
    <cs:LineItemList runat="server" Model="<%# Model %>" />
    <cs:Pagination runat="server"/>
</div>
<div class="span4">
    <cs:Coupons runat="server" Model="<%# Model %>" />
    <cs:OrderSummary runat="server" Model="<%# Model %>" />
    <%
        var disabled = Model.LineItems !=null && Model.LineItems.Count > 0 ? "" : "disabled";
    %>
    <div class="row form-actions">
        <a class="btn btn-primary <%=disabled %>" href="checkout"><%= Resource("Cart_ButtonCheckout") %></a>
        <a class="btn" href="/"><%= Resource("Cart_ButtonContinue") %></a>
    </div>
</div>
<div id="error" class="validation-summary-errors">

    <%
    foreach (var error in Model.BasketErrors)
    {
    %>
        <p class="text-error hide"><%=error%></p>
    <%
    }
    %>
</div>
