﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.WebFormsSiteTemplate.ControlBase.AddressControl" %>
<div id="@addressContainerID">
    <div class="control-group">
        <label class="control-label" for="firstName"><%= Resource("Address_LabelFirstName") %></label>
        <div class="controls">
            <input type="text" id="<%# ControlIdPrefix %>_firstName" name="<%# ControlIdPrefix %>_firstName" value="<%# Model.FirstName %>" />
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="lastName"><%= Resource("Address_LabelLastName") %></label>
        <div class="controls">
            <input type="text" id="<%# ControlIdPrefix %>_lastName" name="<%# ControlIdPrefix %>_lastName" value="<%# Model.LastName %>" />
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="address"><%= Resource("Address_LabelLine1") %></label>
        <div class="controls">
            <input type="text" id="<%# ControlIdPrefix %>_line1" name="<%# ControlIdPrefix %>_line1" value="<%# Model.Line1 %>" />
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="address2"><%= Resource("Address_LabelLine2") %></label>
        <div class="controls">
            <input type="text" id="<%# ControlIdPrefix %>_line2" name="<%# ControlIdPrefix %>_line2"  value="<%# Model.Line2 %>" />
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="city"><%= Resource("Address_LabelCity") %></label>
        <div class="controls">
            <input type="text" id="<%# ControlIdPrefix %>_city" name="<%# ControlIdPrefix %>_city" value="<%# Model.City %>"  />
        </div>
    </div>
 
    <div class="control-group">
        <label class="control-label" for="country"><%= Resource("Address_LabelCountry") %></label>
        <div class="country">
            <input type="text" id="<%# ControlIdPrefix %>_countryRegionName" name="<%# ControlIdPrefix %>_countryRegionName" value="<%# Model.CountryRegionName %>" placeholder="<%= Resource("Address_CountryHint") %>"  />
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="state"><%= Resource("Address_LabelState") %></label>
        <div class="controls">
            <input type="text" id="<%# ControlIdPrefix %>_stateProvinceName" name="<%# ControlIdPrefix %>_stateProvinceName" value="<%# Model.StateProvinceName %>" placeholder="<%= Resource("Address_StateHint") %>" />
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="phone"><%= Resource("Address_LabelPhone") %></label>
        <div class="controls">
            <input type="text" id="<%# ControlIdPrefix %>_telephone" name="<%# ControlIdPrefix %>_telephone" value ="<%# Model.Telephone %>" placeholder="<%= Resource("Address_PhoneHint") %>"  />
        </div>
    </div>
</div>
