﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="CommerceServerContrib.WebFormsSiteTemplate.ControlBase.CategoryControl" %>

<% 
    if (ViewBag.TotalPages > 0)
    {
%>
<div class="pagination pagination-centered">
    <ul>
        <%
        var url = CommerceServerContrib.Web.UrlBuilder.CurrentUrl;
        var disablePrevious = !(ViewBag.TotalPages > 1 && ViewBag.CurrentPage > 1);
        if (disablePrevious)
        {
            %>
            <li class="disabled"><a href="#"><%= Resource("Page_LabelPrevious") %></a></li>
            <%
        }
        else
        {
            url.QueryList.AddOrSet("page", (ViewBag.CurrentPage - 1).ToString());
            %>
            <li><a href="<%= url.ToString() %>"><%= Resource("Page_LabelPrevious") %></a></li>
            <%
        }

        for (int i = 1; i < ViewBag.TotalPages + 1; i++)
        {
            var active = ViewBag.CurrentPage == i ? "active" : null;
            url.QueryList.AddOrSet("page", i.ToString());
            %>
            <li class="<%=active%>"><a href="<%=url.ToString() %>"><%=i %></a></li>
            <%
        }

        var disableNext = ViewBag.CurrentPage == ViewBag.TotalPages;

        if (disableNext)
        {
            %>
            <li class="disabled"><a href="#"><%= Resource("Page_LabelNext") %></a></li>
            <%
        }
        else
        {
            url.QueryList.AddOrSet("page", (ViewBag.CurrentPage + 1).ToString());
            %>
            <li><a href="<%=url.ToString() %>"><%= Resource("Page_LabelNext") %></a></li>
            <%
        }
            %>
    </ul>
</div>
<%
    }
%>

