﻿//-----------------------------------------------------------------------
// <copyright file="LineItem.cs" company="commerceserver.net">
//     Copyright © commerceserver.net.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace CommerceServerContrib.WebFormsSiteTemplate.Models.Generated
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;

    /// <summary>
    /// Partial class to help working with LineItems.
    /// </summary>
    public partial class LineItem
    {
        /// <summary>
        /// Gets the shipping method from the properties collection.
        /// </summary>
        /// <value>
        /// The shipping method.
        /// </value>
        public string ShippingMethod
        {
            get
            {
                return this.Properties[PropertyName.ShippingMethodId] as string;
            }
        }
    }
}