﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Category.aspx.cs" Inherits="CommerceServerContrib.WebFormsSiteTemplate.Pages.Category" %>

<%@ Register Src="~/Controls/Category/CategorySummary.ascx" TagPrefix="cs" TagName="CategorySummary" %>
<%@ Register Src="~/Controls/Category/ProductListing.ascx" TagPrefix="cs" TagName="ProductListing" %>
<%@ Register Src="~/Controls/Shared/Pagination.ascx" TagPrefix="cs" TagName="Pagination" %>
<%@ Register Src="~/Controls/Navigation/Breadcrumb.ascx" TagPrefix="cs" TagName="Breadcrumb" %>


<asp:Content runat="server" ID="Content1" ContentPlaceHolderID="TitlePlaceholder">
    <%# Model.DisplayName %>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="MainContent">

<div class="row">
    <cs:Breadcrumb runat="server"/>
</div>
<div class="row">
    <cs:CategorySummary runat="server" Model="<%# Model %>"/>
</div>
<div class="row">
    <cs:Pagination runat="server"/>
</div>
<div class="row">
    <cs:ProductListing runat="server" Model="<%# Model %>"/>
</div>
<div class="row">
    <cs:Pagination runat="server"/>
</div>

</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="ScriptsPlaceholder">
    <%: Scripts.Render("~/js/slider") %>

    <script type="text/javascript">
        setupFloatOver();
    </script>
</asp:Content>