﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="CommerceServerContrib.WebFormsSiteTemplate._Default" %>

<%@ Register Src="~/Controls/Shared/FeaturedProducts.ascx" TagPrefix="cs" TagName="FeaturedProducts" %>

<asp:Content runat="server" ID="Content1" ContentPlaceHolderID="TitlePlaceholder">
    <%= Resource("HomePageTitle") %>
</asp:Content>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">

    <div class="row">
        <div id="myCarousel" class="carousel slide">
            <!-- Carousel items -->
            <div class="carousel-inner">
                <% 
                    if (Model != null && Model.ChildProducts != null && Model.ChildProducts.Count > 0)
                    {
                        var firstProduct = Model.ChildProducts[0];
                        string cssClass = "item active";
                        if (firstProduct.LargeSizeImagePaths() != null)
                        {
                            foreach (var imageUrl in firstProduct.LargeSizeImagePaths())
                            {
                %>
                <div class="<%=cssClass %>">
                    <a href="/category/<%=Model.Id %>">

                        <img src="<%=imageUrl %>" alt="<%=Model.Description %>" class="img-rounded" /></a>
                </div>
                <% 
                                cssClass = "item";
                            }
                        }
                    }
                %>
            </div>
            <!-- Carousel nav -->
            <a class="carousel-control left" href="#myCarousel" data-slide="prev">&lsaquo;</a>
            <a class="carousel-control right" href="#myCarousel" data-slide="next">&rsaquo;</a>
        </div>
    </div>
    <div class="row">
        <cs:FeaturedProducts runat="server" ID="featuredProducts" Model='<%# Model %>'/>
    </div>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="ScriptsPlaceholder">
    <script type="text/javascript">
        setupFloatOver();
        $('#myCarousel').carousel();
    </script>
</asp:Content>


