﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Submitted.aspx.cs" Inherits="CommerceServerContrib.WebFormsSiteTemplate.Pages.Submitted" %>

<asp:Content runat="server" ID="Content1" ContentPlaceHolderID="TitlePlaceholder">
    <%= Resource("SubmittedPageTitle") %>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="MainContent">
    <section class="contact">
        <header>
            <h3><%= Resource("Submitted_LabelOrderConfim") %></h3>
        </header>
        <p>
            <%= Resource("Submitted_LabelOrderConfimNumber") %> <strong><% = Model.OrderNumber %></strong>
        </p>
        <dl class="dl-horizontal">
            <dt><%= Resource("Submitted_LabelShipping") %></dt>
            <dd><%=Model.CurrencySubtotal.ToCurrency() %></dd>
            <dt><%= Resource("Submitted_LabelShipping") %></dt>
            <dd><%=Model.CurrencyShippingTotal.ToCurrency() %></dd>
            <dt><%= Resource("Submitted_LabelTax") %></dt>
            <dd><%=Model.CurrencyTaxTotal.ToCurrency() %></dd>
            <dt><%= Resource("Submitted_LabelTotal") %></dt>
            <dd><%=Model.CurrencyTotal.ToCurrency() %></dd>
        </dl>
        <p>
            <%= Resource("Submitted_LabelCall") %>
        </p>
    </section>
</asp:Content>
